Skip to main content

Production API

Generate Production Plan​

GET /api/v1/manager-core/production/plan

Generate production schedule/plan.


Get Product List​

GET /api/v1/manager-core/production/products

Get products available for production.


Get Planner​

GET /api/v1/manager-core/production/planner

Get production planner view.


Get Materials​

GET /api/v1/manager-core/production/materials

Query Parameters:

ParameterTypeRequiredValidation
qstringNoSearch query
orderobjectNo(row, desc)
filterobjectNoFilter object with partners, category

Collection List​

Get Collection List​

GET /api/v1/manager-core/production/collect

Get items pending collection.


Create Collection List​

POST /api/v1/manager-core/production/collect

Create a new collection list.


Change Quantity​

POST /api/v1/manager-core/production/collect/change-quantity/item

Set Item Collected​

POST /api/v1/manager-core/production/collect/set-collected/item

Add Extra Item​

POST /api/v1/manager-core/production/collect/add-extra

Production Control​

Start Production​

POST /api/v1/manager-core/production/start-production

Remove Product​

POST /api/v1/manager-core/production/remove

Get Production​

GET /api/v1/manager-core/production/{id}

Get production details.

Parameters:

  • id (path) - Production ID

Production Export​

GET /api/v1/manager-core/production/{id}/export/{exportType}

Parameters:

  • id (path) - Production ID
  • exportType (path) - Export format: xlsx, xls, ods, pdf, csv

Production PDFs​

See PDF Export Documentation for production-related PDF endpoints:

  • /production/{id}/pdf
  • /production/{id}/total-material-pdf
  • /production/{id}/income-pdf
  • /production/{id}/barcode
  • /production/{id}/box-label

Generate Barcode​

GET /api/v1/manager-core/production/{id}/barcode

Query Parameters:

ParameterTypeRequiredValidation
itemsarrayNoArray of item IDs
currencystringNoCurrency code
quantityarrayNo(tem_id: quantity)

Generate Box Label​

GET /api/v1/manager-core/production/{id}/box-label

Query Parameters:

ParameterTypeRequiredValidation
itemsarrayNoArray of item IDs
only_onebooleanNoGenerate only one label
packagingobjectNo(item_id: package_size)